# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Public Attributes

# vl::Dae::Primitive Struct Reference

COLLADA primitive. More...

`#include <DaeHelpers.hpp>`

Inheritance diagram for vl::Dae::Primitive:

List of all members.

## Public Member Functions

| Primitive ()

## Public Attributes

Dae::EPrimitiveType | mType
std::string | mMaterial
std::vector< ref< Dae::Input > > | mChannels
size_t | mCount
std::vector< domPRef > | mP
size_t | mIndexStride
ref< Geometry > | mGeometry

## Detailed Description

COLLADA primitive.

Definition at line 257 of file DaeHelpers.hpp.

## Constructor & Destructor Documentation

vl::Dae::Primitive::Primitive | ( | ) | `[inline]`

Definition at line 259 of file DaeHelpers.hpp.

References mCount, mIndexStride, mType, and vl::Dae::PT_UNKNOWN.

## Member Data Documentation

Dae::EPrimitiveType vl::Dae::Primitive::mType

Definition at line 266 of file DaeHelpers.hpp.

Referenced by vl::DaeLoader::generateGeometry(), and Primitive().

std::string vl::Dae::Primitive::mMaterial

Definition at line 267 of file DaeHelpers.hpp.

std::vector< ref<Dae::Input> > vl::Dae::Primitive::mChannels

Definition at line 268 of file DaeHelpers.hpp.

Referenced by vl::DaeLoader::generateGeometry(), and vl::DaeLoader::parseInputs().

size_t vl::Dae::Primitive::mCount

Definition at line 269 of file DaeHelpers.hpp.

Referenced by Primitive().

std::vector<domPRef> vl::Dae::Primitive::mP

Definition at line 270 of file DaeHelpers.hpp.

Referenced by vl::DaeLoader::generateGeometry().

size_t vl::Dae::Primitive::mIndexStride

Definition at line 271 of file DaeHelpers.hpp.

Referenced by vl::DaeLoader::generateGeometry(), vl::DaeLoader::parseInputs(), and Primitive().

ref<Geometry> vl::Dae::Primitive::mGeometry

Definition at line 272 of file DaeHelpers.hpp.

Referenced by vl::DaeLoader::generateGeometry().

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/COLLADA/DaeHelpers.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:45:00.
Permission is granted to use this page to write and publish articles regarding Visualization Library.